import request from '@/utils/request'

// 查询流程任务列表
export function listFlowTask(query) {
  return request({
    url: '/flow/flowTask/list',
    method: 'get',
    params: query
  })
}

// 查询流程任务详细
export function getFlowTask(id) {
  return request({
    url: '/flow/flowTask/' + id,
    method: 'get'
  })
}

// 新增流程任务
export function addFlowTask(data) {
  return request({
    url: '/flow/flowTask',
    method: 'post',
    data: data
  })
}

// 修改流程任务
export function updateFlowTask(data) {
  return request({
    url: '/flow/flowTask',
    method: 'put',
    data: data
  })
}

// 删除流程任务
export function delFlowTask(id) {
  return request({
    url: '/flow/flowTask/' + id,
    method: 'delete'
  })
}

// 导出流程任务
export function exportFlowTask(query) {
  return request({
    url: '/flow/flowTask/export',
    method: 'get',
    params: query
  })
}